complexType "PositionUpdateReason"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 13 elements
Defined: | globally in fpml-reporting-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | code?, comment?, ((originatingEvent?, trade?) | amendment? | increase? | (terminatingEvent?, termination?) | novation? | optionExercise? | optionExpiry* | deClear? | additionalEvent?)
</...>

Content Model Elements (13):

  additionalEvent, amendment, code, comment (in reason in positionUpdate), deClear, increase, novation, | optionExercise, optionExpiry (defined in Events.model group), originatingEvent (defined in Events.model group), terminatingEvent (defined in Events.model group), termination, trade (defined in Events.model group)

All Direct / Indirect Based Elements (1):

  reason (in positionUpdate)

Known Usage Locations

- As direct type of elements (1):
  reason (in positionUpdate)

Annotation
A code that describes the reason that an update occurred. For example, New Trade, Amendment, Termination, Exercise, Cancellation.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="PositionUpdateReason"> <xsd:sequence> <xsd:element minOccurs="0" name="code" type="PositionUpdateReasonCode"/> <xsd:element minOccurs="0" name="comment" type="xsd:string"/> <xsd:group ref="Events.model"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/13)
code

  Type: | PositionUpdateReasonCode, simple content

  A code summarizing the reason for the update (e.g. new trade, amdendment, novation).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="code" type="PositionUpdateReasonCode"/>

comment

  Type: | xsd:string, predefined, simple content

  A freeform description of the reason for the update.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="comment" type="xsd:string"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.